import { HYDRATE } from 'next-redux-wrapper';

import * as actionTypes from '../constants/actionTypes';
import initialState from "./initialState";

const companyReducer = (state = initialState.company, action) => 
{
	switch (action.type) 
	{
		/*
		case HYDRATE: 
		{
			return { 
				...state, 
				...action.payload.company, 
			};
		}
		*/

		case actionTypes.COMPANY: 
		{
			return {
				...state, 
				...action.data, 
			};
		}

		default: {
			return state;
		}
	}
};

export default companyReducer;